import { Component } from "@angular/core";
import {
  IonicPage,
  NavController,
  MenuController,
  ModalController
} from "ionic-angular";
import { AuthProvider } from "../../providers/auth/auth";
import { AboutPage } from "../about/about";
// import { HomePage } from "../home/home";
import { MockPage } from "../mock/mock";

@IonicPage()
@Component({
  selector: "page-login",
  templateUrl: "login.html"
})
export class LoginPage {
  constructor(
    public navCtrl: NavController,
    private menuCtrl: MenuController,
    private modalCtrl: ModalController
  ) {}

  ionViewDidLoad() {
    this.menuCtrl.enable(false, "sideNav");
  }

  login() {
   this.navCtrl.setRoot(MockPage);
  }

  showAbout() {
    this.modalCtrl.create(AboutPage).present();
  }
}
